Nes 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1185648 漏洞类型 授权问题
发布时间 2018-06-04 更新时间 2019-10-17
CVE编号 CVE-2017-16025 CNNVD-ID CNNVD-201806-185
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201806-185
|漏洞详情
Nes是一款用于hapi路由的WebSocket适配器插件。 Nes 6.4.0及之前版本中存在安全漏洞。当websocket身份验证被设置为‘cookie’时,攻击者可通过提交无效的cookie利用该漏洞关闭节点进程。
|参考资料
resource:
hyperlink:https://github.com/hapijs/nes/commit/249ba1755ed6977fbc208463c87364bf884ad655
resource:
hyperlink:https://github.com/hapijs/nes/issues/171
resource:
hyperlink:https://nodesecurity.io/advisories/331